# 8. Wearables

## Research

I was happy to continue a research on e-textiles that is part of my recent practice, related to coding and weaving. I wanted to deepen in the connexion of touch generating sounds through fabrics. 
In my practice I was getting fabrics I wove that have an alphabet to project the visual and sound codes they create when you touch them, through a midi controller. This week of wearables was going to help me find other ways of generating sound through touch and pressure. 

These are pictures of the last performance I did, in Geneva, in September 2022, at the Espace Le Grain, with the Association No Walls. 
![describe what you see in this image](../images/week05/DSC_4866.jpg){ width=400 align=right}

<p style="clear: both;"></p>
<br/>

## References & Inspiration

- In her class, Liza Stark told us about this group that is making wearables, shows and residencies. 


And their Tapestry Opera, a "sci-fi opera set in the near future"

https://tapestryopera.com/ 


![describe what you see in this image](../images/week08/Capture d’écran 2022-11-11 à 18.50.15.jpg){ width=500 align=left }


<p style="clear: both;"></p>
<br/>

I was also in Geneva, doing a workshop from Claire Wiliams on frequencies, and making a textile-speaker while we had the week related to wearables, first with Liza Stark. 
![describe what you see in this image](../images/week08/IMG_9411.jpg){ width=400 align=right }

<p style="clear: both;"></p>
<br/>




I also made a jacket with a frequency reader sewn on it in order to get the radio and the frequencies, worn and tried in Bugarach, France.  
- http://www.xxx-clairewilliams-xxx.com/


![describe what you see in this image](../images/week05/IMG_7461.jpg){ width=300 align=right }
![describe what you see in this image](../images/week05/IMG_7468.jpg){ width=300 align=left }

<p style="clear: both;"></p>
<br/>

I was also at the workshop of Claire Williams at Head School, that inspired me, where I made the textile speakers. 

![describe what you see in this image](../images/week08/IMG_9395.jpg){ width=300 align=left }
![describe what you see in this image](../images/week08/IMG_9396.jpg){ width=300 align=right }


<p style="clear: both;"></p>
<br/>

- Irene Posch and Ebru kurbak embroyedered conductive thread 
They made a conductive pattern on textile, and an embroidered computer. 
http://www.ireneposch.net/the-embroidered-computer/

![describe what you see in this image](../images/week05/MG_0411_size_detail_web-1024x683.jpeg){ width=400 align=right }
![describe what you see in this image](../images/week05/MG_0427_w-1024x683.jpeg){ width=400 align=left }
![describe what you see in this image](../images/week05/logic-diagram-controll-unit-1_small-1024x338.jpeg){ width=400 align=right }


<p style="clear: both;"></p>
<br/>

## Tools

!!! example ""

	- [Arduino UNO](http://class.textile-academy.org)
	- [Arduino IDE](http://class.textile-academy.org)



## Process and workflow

We started doing Emma's class on leds and connecting them with Arduino, changing the led to one that has more colours and more leds to control.  

![describe what you see in this image](../images/week08/full_leds.gif){ width=300 align=left }
![describe what you see in this image](../images/week08/colorled2.gif){ width=300 align=right }

<p style="clear: both;"></p>
<br/>

These are the same system that Irene Posch was using on her textile computer. 

![describe what you see in this image](../images/week08/metal.gif){ width=300 align=left }
![describe what you see in this image](../images/week08/metal1.gif){ width=300 align=right }

<p style="clear: both;"></p>
<br/>

## Textile Speaker

Then we made a group with Camille and Marion from the Textile Lab related to textile speakers.

First the element that we were using with Claire to connect with the textile speaker was this one : 
![describe what you see in this image](../images/week08/IMG_9392.jpg){ width=400 align=right }

<p style="clear: both;"></p>
<br/>

So at the Textile Lab we started making our own amplifier from Liza Stark's website. 

We started with the audio cable with the mini jack, we divided the wires and we protected them with wrapping gauge wire around them and then covered them with heat shrink, heating them with a lighter.  

We then connected them with your Mono Amp. 
We connected it to a battery. 

![describe what you see in this image](../images/week08/IMG_9440.jpg){ width=400 align=right }
![describe what you see in this image](../images/week08/IMG_9441.jpg){ width=400 align=left }
![describe what you see in this image](../images/week08/IMG_9442.jpg){ width=400 align=right }

<p style="clear: both;"></p>
<br/>

I then tried to connect the frequency reader (the radio outfit I made), with the textile speaker, but it didn't work. It worked really well with the headphones though. Also the speakers worked very well with the phone, so I didn't figure out why it was not working. 

Eventhough it didn't work 

## Code Example

The code that Camille was using to generate sounds according to an analog captor to play a tone that goes out in the textile speaker.

```
const int ANALOG_SENSOR_MIN = 200;
const int ANALOG_SENSOR_THRESHOLD = 750;
const int SPEAKER_PIN = 8;

int analog_sensor_value = 0;


void setup() {
  pinMode(ANALOG_SENSOR_PIN, INPUT);
  Serial.begin(9600);

}

void loop() {

  analog_sensor_value = analogRead(ANALOG_SENSOR_PIN);
  Serial.println(analog_sensor_value);

  if (analog_sensor_value<ANALOG_SENSOR_THRESHOLD)
  {
    analog_sensor_value = map(analog_sensor_value, ANALOG_SENSOR_MIN, ANALOG_SENSOR_THRESHOLD, 5000, 200);
    tone(SPEAKER_PIN, analog_sensor_value, 200);
  }

  delay(50);

}
```
<p style="clear: both;"></p>
<br/>

## Results

![](../images/week08/IMG_9402.jpg)

## Video

<iframe width="560" height="315" src="https://www.youtube.com/embed/bxPS4_Y75ww" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>


<iframe width="424" height="753" src="https://www.youtube.com/embed/Nme6iNtR7RM" title="Textile speaker, workshop from Claire Wiliams, Head, Geneva. Fablab" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>


---
---
---
---

## Fabrication files

[^1]: File: xxx
[^2]: File: xxx
[^3]: File: xxx
